<AuthState name="${state.entry}" class="ch.nevis.esauth.auth.states.xml.DocumentProcessor" final="false" resumeState="false">
	<ResultCond name="ok" next="${state.done}"/>

	<!-- errors ignored, we transition anyway to done -->
	<ResultCond name="nomatch" next="${state.done}"/>
	<ResultCond name="validation-failed" next="${state.done}"/>
	<ResultCond name="default" next="${state.done}"/>

	<Response value="AUTH_ERROR"/>

	<property name="sess:agov.countryName" value="xpath:/country-names/country[@code='${sess:ch.nevis.idm.User.country}']/@${sess:ch.nevis.idm.User.language}"/>
	<property name="optional" value="sess:agov.countryName"/>

	<property name="documentSourceType" value="RESOURCE"/>
	<property name="documentSource" value="file:/var/opt/nevisauth/default/conf/countries.xml"/>

	<!-- scheduler interval: only load it once, then we use it -->
	<property name="scheduler.interval" value="-1"/>
	<property name="maxAge" value="-1"/>
</AuthState>
